# Update user details

Updates the details of the authenticated user by JWT.
 

{% html name="div" attrs={"class": "notice"} %}
Notice

Rate limits for client-side methods are applied to this method.
{% /html %}

Endpoint: PATCH /users/me
Version: v1
Security: Bearer

## Request fields (application/json):

  - `birthday` (string)
    User birth date in the following format: YYYY-MM-DD. Can be changed only once.
    Example: "1990-12-12"

  - `first_name` (string)
    User first name.
    Example: "John"

  - `gender` (string)
    User gender. Can be:
* f for female
* m for male
* other
* prefer not to answer
    Example: "f"

  - `last_name` (string)
    User last name.

  - `nickname` (string)
    User nickname.
    Example: "Johny"

## Response 200 fields (application/json):

  - `ban` (object,null, required)
    Details of the user ban. The value is null for the users not from the ban list.

  - `ban.date_from` (string, required)
    Date when the user was banned in the [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format.

  - `ban.date_to` (string, required)
    Date until the user remains banned in the [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format.

  - `ban.reason` (string)
    Reason the user ban.

  - `birthday` (string,null, required)
    User birth date in the YYYY-MM-DD format.

  - `connection_information` (string,null, required)
    User birth date confirmed by [okname](https://www.ok-name.co.kr/). For Korean users only.

  - `country` (string,null, required)
    User country.

  - `devices` (array, required)

  - `devices.device` (string, required)
    Manufacturer and model name of the device.

  - `devices.id` (integer, required)
    Device ID generated by the Xsolla Login server. It is not the same as the device_id parameter from the Auth via device ID ([JWT](https://developers.xsolla.com/api/login/operation/jwt-auth-via-device-id) and [OAuth 2.0](https://developers.xsolla.com/api/login/operation/oauth-20-auth-via-device-id)) call.

  - `devices.last_used_at` (string, required)
    Date and time of the last user login via the device in the [RFC 3339 format](https://www.ietf.org/rfc/rfc3339.txt).

  - `devices.type` (string, required)
    Type of the device.
    Enum: "android", "ios"

  - `email` (string,null, required)
    User email address.

  - `external_id` (string,null, required)
    ID of the user in your game. To use the ID from your game, link the IDs by the [Link user IDs via external ID](https://developers.xsolla.com/api/login/operation/link-user-ids-via-external-id) call.

  - `first_name` (string,null, required)
    User first name.

  - `gender` (string,null, required)
    User gender. Can be:
* f for female
* m for male
* other
* prefer not to answer
    Enum: "f", "m", "other", "prefer not to answer"

  - `groups` (array, required)
    Details about the groups the user was added to.

  - `groups.id` (integer, required)
    Group ID.

  - `groups.is_default` (boolean, required)
    Shows whether the group is default or not.

  - `groups.is_deletable` (boolean, required)
    Shows whether the group can be deleted or not. Default groups can’t be deleted.

  - `groups.name` (string, required)
    Group name.

  - `id` (string, required)
    User ID.

  - `is_anonymous` (boolean, required)
    Shows whether the user is anonymous or not. The anonymous user is a user created via device ID or custom ID and doesn’t have an alternative authentication method added (e.g., username/email and password).

  - `is_last_email_confirmed` (boolean,null, required)

  - `is_user_active` (boolean, required)

  - `last_login` (string, required)
    Date of the last user login in the [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format.

  - `last_name` (string,null, required)
    User last name.

  - `name` (string,null, required)
    User name in a social network.

  - `nickname` (string,null, required)
    User nickname.

  - `phone` (string,null, required)
    User phone number according to [national conventions](https://en.wikipedia.org/wiki/National_conventions_for_writing_telephone_numbers). This phone number is used only for passing the two-factor authentication.

  - `phone_auth` (string,null, required)
    User phone number according to [national conventions](https://en.wikipedia.org/wiki/National_conventions_for_writing_telephone_numbers). This phone number is used to authenticate the user.

  - `picture` (string,null, required)
    Link to the user profile picture.

  - `registered` (string, required)
    Date of user registration in the [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format.

  - `tag` (string,null, required)
    User tag without "#" at the beginning. Can have no unique value and can be used in the [Search users by nickname](https://developers.xsolla.com/api/login/operation/search-users-by-nickname) call.

  - `username` (string,null, required)
    Username.

## Response 400 fields (application/json):

  - `error` (object, required)

  - `error.code` (string, required)
    Error code.
    Example: "003-061"

  - `error.description` (string, required)
    Error description.
    Example: "Object not found."

  - `error.details` (object)
    Additional information.

## Response 401 fields (application/json):

  - `error` (object, required)

  - `error.code` (string, required)
    Error code.
    Example: "003-061"

  - `error.description` (string, required)
    Error description.
    Example: "Object not found."

  - `error.details` (object)
    Additional information.

## Response 403 fields (application/json):

  - `error` (object, required)

  - `error.code` (string, required)
    Error code.
    Example: "003-061"

  - `error.description` (string, required)
    Error description.
    Example: "Object not found."

  - `error.details` (object)
    Additional information.

## Response 404 fields (application/json):

  - `error` (object, required)

  - `error.code` (string, required)
    Error code.
    Example: "003-061"

  - `error.description` (string, required)
    Error description.
    Example: "Object not found."

  - `error.details` (object)
    Additional information.

## Response 422 fields (application/json):

  - `error` (object, required)

  - `error.code` (string, required)
    Error code.
    Example: "003-061"

  - `error.description` (string, required)
    Error description.
    Example: "Object not found."

  - `error.details` (object)
    Additional information.


